## Battle Queen Katarina 2.0 Release

Completely rewritten!

Battle Queen skin!

Reworked abilties!

Shoutout to Dragonyck for helping me accomplish my vision for this 2.0 release. Return of the king
## Preview
[![](https://cdn.discordapp.com/attachments/491077949823385602/1052055153970266213/image.png)]()
[![](https://cdn.discordapp.com/attachments/491077949823385602/1052056850452987954/image.png)]()
[![](https://cdn.discordapp.com/attachments/491077949823385602/1052057403530690621/image.png)]()
[![](https://cdn.discordapp.com/attachments/491077949823385602/1049544834429489152/image.png)]()
*''Let the coronation bloodbath begin...!''*
## Introduction
For those of you seeing this mod for the first time, Bandit is my favorite character in vanilla RoR (the chad Lights Out enjoyer vs the virgin Desperado fan) and Katarina is my 2nd favorite champion in League, so I found this as a neat opportunity to both learn C# while also making something really cool in the process.
Her design intent was originally influenced by her Season 11 AD On-hit build Kraken Slayer/Ravenous Hydra first, but she's drifted a fair bit since then, so some attributes remain and some were scrapped for this update.

-----For the already-initiated, the quick feature list in this update is as follows, otherwise continue reading below for full documentation-----
- Reworked kit with smoother gameplay, focused on giving you more combat options in more situations
- You can now reset Shunpo multiple times in a fight, even against a single enemy, just like real Katarina
- Fully animated, including Battle Queen-exclusive animation transitions because 1820rp skin
- The removal of Conqueror in exchange for dagger pickup system
- All 6 of her Battle Queen daggers are available, her weapons even sync to her pickups
- Actual vfx this time lol
- Full audio and voice lines
- better Death Lotus, uses Orbs instead of Projectiles so the aim isn't so arbitrary
- Daggers are very configurable

Tl;dr this is the Night Harvester build I had planned for, more than a year ago, before life got very busy. I was actually gonna have her spawn with Night Harvester the item just like Captain's microbots but ultimately decided against it as I thought that would add ***too*** much damage to her kit and then I would have to balance all of her ability numbers around that, so it didn't happen.

## Passive: Voracity
[![](https://cdn.discordapp.com/attachments/491077949823385602/1052032625251995688/image.png)]()
- Your secondary or utility will reset on-kill
- Killing an enemy with a dagger pickup will reset *both* your secondary and utility at once
- The cooldown of Death Lotus is reduced by 4 seconds for each kill made with your other abilities
- A visual effect occurs any time one of your cooldowns would be reset

~~Conqueror ---~~
~~75% chance to gain a stack on killing an enemy with Sinister Steel or Shunpo. 45% chance to gain a stack on killing an enemy with a Voracious Blade, stacks infinitely~~
- ~~Conqueror stacks have various interactions with your other abilities, as follows:~~
- ~~Innately, at 0 stacks, you heal for 4% of your basic attack damage~~
- ~~At 5 stacks, you heal for 12% of your basic attack damage~~
- ~~At 10 stacks, you heal for the capped amount of 25% your total basic attack damage~~
- ~~At 15 stacks, your Shunpo gains ***slayer***~~
- ~~At 25 stacks, Katarina is truly in her element, and moves with such speed that the enemy cannot perceive her, Shunpo *cloaks* on-cast for 1.3s.~~

## Primary
[![](https://cdn.discordapp.com/attachments/491077949823385602/1052032677546573824/image.png)]()
- Ravenous Hydra: your basic attacks have omnivamp and heal you for 8% of damage dealt

## Secondary
[![](https://cdn.discordapp.com/attachments/491077949823385602/1052032735826423838/image.png)]()

*With each cast of this ability, Katarina chooses another dagger from her royal arsenal*
- Riftmaker: if a single dagger kills the enemy, heal for a % of their maximum health
- Hitting an enemy with a single dagger without killing them will ricochet the blade onto the ground near them
- Picking up the blade will slash radially for 415% damage
- The slash is centered around Katarina, not around the pickup zone
- You can charge and hold the fan of daggers forever, just like Void Fiend's Floo?d
- In exchange for extremely high damage, the fan will not reset upon killing with it, nor will it ricochet off enemies

## Utility: Shunpo Techniques
[![](https://cdn.discordapp.com/attachments/491077949823385602/1052032809595842590/image.png)]()

*Utilizing her Noxian assassin training, Katarina appears instantly at target location.*
- Extremely high range
- Gives i-frames for 0.9 seconds upon release of the key, useful for dodging things like Elder Lemurian fireballs
- Can cancel your fall damage
- You can do most other things while aiming, including walking, sprinting, and using your primary/secondary
- Damages one enemy, the closest on-arrival
- The damage is centered on a radius around you so you don't need to target enemies directly, dashing near them is enough

[![](https://cdn.discordapp.com/attachments/491077949823385602/1052034856265187378/image.png)]()

*Using the power of her Scheman Crest, Katarina appears instantly in front of the target enemy.*
- Only usable with a target
- Excellent for immediately following up daggers
- Can also cancel fall damage
- Adept at chaining multiple flying enemies

Techniques
- Both techniques have independent cooldowns
- Press F (default) to switch techniques at any time
- Picking up a dagger will set the cooldown of the currently-equipped technique to 1 second
- Does double damage to flying enemies + Alloy Vultures and Blind Pests because I hate them

## Special
[![](https://cdn.discordapp.com/attachments/491077949823385602/1052034971277209662/image.png)]()
- Can suspend you in the air
- Targets with a priority system, Bosses>Elites>Flying enemies>All other enemies
- Number of enemies targeted increases by 1 per 20% attack speed you have and starts at 5
- Gives Jade Elephant during the channel time

## Credits
- - Dagger switching/pickup logic, Skillstates, and 100% of all backend work for the 2.0 rewrite done by Dragonyck

- - Animations, sounds, visual fx, ability rework ideas, gameplay tweaks, and configs done by me

--Bubbet for being a nice guy as usual and answering all of my questions about the RoR2 codebase

--Violet Chaolan for making an updated WWise tutorial after I asked him nicely :)

--Model, animations, and sounds are all original property of Riot Games Inc.

## Special Thanks
- Scoops & EmilyMakar - League of Legends and Bandit are both very cool, but Red Mist is truly the original inspiration for me to get into modding RoR2. She is by far my favorite survivor and after playing and experiencing the adrenaline rush she offers, it really motivated me to try and make a stylish, chain-kill melee survivor of my own.

- Lemonlust - For keeping the subset of League mods alive with me and Dragonyck! You should go go check out his Sett mod if you haven't already! His original, best, and most polished work imo. Even with equippable rune keystones! He also made an attempt at Katarina after I left her for so long without an update :P Jinx is also cool if you like ADCs but I am a midlaner

## Misc Dev Notes
- Her sprint animation is de-synced from her movespeed parameter because Red Mist does this and I like how it looks. Incidentally, League doesn't really scale animation speeds either so this works out in my favor
- It's possible I overdid it with the vfx a little bit. If you have a lower end pc or it's :waytoodank: you can turn them off in the config
- I know her charged secondary has kinda anti-synergy with the rest of her kit, but I wanted something widespread to deal with tanky enemies, it might get changed completely in the future
- There is a certain exploit you can use to cheese bosses and some enemies, but I've intentionally left it in for now. We'll see how long it takes for people to find it
- Her daggers are skillshots because I have always preferred them that way (and because Serrated Shiv) but if you want them to be targeted like in real League or Lemon's mod you can use Aerolt aimbot for now. I can look into adding targeting for the daggers as an alt skill in the future

## Known Issues
-- All feedback is welcome! Feel free to mention me in the RoR2 Modding Discord @ Nines#9904
- ~~She is incompatible with multiplayer because her resets only work for the host and the sound events are called globally on every client. I didn't design her with multiplayer in mind as I normally play only solo but I may fix this in the next update~~ Untested currently, but as of 2.0 she should be fully networked and multiplayer compatible!
- ~~You can cancel Shunpo with an autoattack if you swipe and cast it at the same time, putting the skill on full cooldown and doing nothing. Messing with skill priority does not fix this~~ Fixed in version 2.0!
- Her melee effects orient a little strangely when viewed at certain angles, for example if you look down it gives the illusion that her melee range is extremely short. Purely a cosmetic issue, as her actual hitbox extends identical to Mercenary's first two slashes
- She doesn't have footsteps because I can't make the component work to save my life even with proper(?) animation events and dust prefabs, pls help
- When using Scheman Shunpo too close(?) to enemies you'll clip through the map and get warped from being out of bounds, more info about when this happens would be useful
- Cloaking doesn't hide her model for some reason, but all other shader effects work just fine, like being frozen
- Skill issue

## Future Plans
- I will make her base stats configurable as per most of Dragonyck's other mods in the next update
- Kraken Slayer melee alt
- Replace Huntress tracker with a custom one maybe, if I can figure out how to make my own prefab
- Item displays because I like doing them
- Due to the armature being different for Katarina's Battle Queen skin, I would have to redo the whole animator with less anims (for a different skin that has less anims anyways due to being 1350rp) and I'm frankly not gonna invest time into that, so, new skins are an impossibility. I can however look into adding some of her chromas, most likely starting with Tanzanite or Emerald
- Right now her dagger switching is just cosmetic but there is behaviour in place to where I could make different elemental effects happen based on which dagger you have/grant specific buffs on kill/debuffs on enemies or something but that wasn't a goal for initial release nor has it seen any testing. Just an idea, no guarantee it'll happen
- Another League collaboration between me and Dragonyck may happen in the coming months, concerning a certain midlaner or alternatively possibly a jungler. Depending on both of our availability of course, but I can say no more than that

- ~~I have a few concepts written down (and some coded) for a Night Harvester variant where she functions more similar to Bandit, resetting all of her cooldowns all at once, rather than individually. It would be a fork of this mod but with a few very considerable gameplay tweaks, this version will be without Conqueror and her skin/associated SFX will be Battle Queen.~~ hehehehehehe

## Changelog
`2.0.0` Update

This is not January and that shelf may have lasted 11 months but I am back! Whole mod rewritten, and documentation has been comprehensively updated! This time around I really think I captured the perfect fusion between Bandit and everyone's favorite (or least, depending on who you ask) Noxian femme fatale. She is *way* more mechanically advanced and combo-oriented now. PROJECT: Vayne is still sitting in a folder somewhere with skills 50% done and model 100% animated, but I'm not sure if I can bring myself to finish her because she's honestly not very interesting as a RoR survivor conceptually. It would take some exciting ideas to motivate me to finish her

`1.2.6` Just a dev update, I have still been working on both Vayne and Night Harvester Katarina but very, *very* intermittently. I got the funny bat virus last month and my work schedule has increased to 70 hours a week. I expect to have time for coding again sometime in January, but I highly doubt it's gonna be any time before then. I think a life update was in order considering it's been almost 2 months of radio silence and I wanted to also officially declare the mod isn't abandoned, just on a shelf for right now.

`1.2.5` Hotfix
- Actually deploy the hotfix this time 4head

`1.2.4` Hotfix
-- Very small update this time, I have been hard at work on both Vayne and bringing Katarina to Thunderkit. I have managed to add almost all 42 of PROJECT: Vayne's animations from League to her survivor counterpart. Complete with a several alternative/additive animations for Final Hour and of course her bike in all its glory. Also when I finish porting Katarina to Thunderkit, Battle Queen will be the first alternate skin, then possibly Battle Academia after that. Whether or not the Night Harvester variant of her kit will be merged with or independant from her TK release remains to be seen, but I am leaning towards the former. I may keep Conqueror and I may not and just make it a separate kit entirely, with Electrocute. It's been taking a while though so I wouldn't dare give a release date. Vayne will most likely definitely release before this is completed and is much less further out. This is the last update Katarina will receive before her Thunderkit overhaul.
- Resets have been adjusted to be even more forgiving, somewhat in lieu of an NH kit on the horizon
- Minor stability fixes
- It's come to my attention that my Mithrix hooks are incompatible with Risk of Options and RoR Cheats, so I've disabled them for now

`1.2.3` Hotfix
- Some wacky item scales have been fixed
- Added some quality-of-life reset mechanics that **should** kick in after stage 3
- Conqueror has been special-cased for the Mithrix fight, since there's nothing to kill and you won't be gaining any stacks. I added a small surprise as well.
- The version number is 1.2.3 and not 1.2.2 because when I had initially uploaded this I broke Commencement altogether and had it removed

`1.2.1`
(The REAL 1.0)
 -- It really would have been more accurate to call 1.0 more like 0.8 and this (1.2) more like 1.0 but oh well. First mod problems.

- Conqueror has been completely rewritten. Chance per-kill and per-ability have all been adjusted. Damage multiplier has been reworked into a single variable shared by all abilities rather than the hacky case-by-case manner I was previously doing it. The window for gaining a stack is better/higher overall and the window for losing stacks
is lenient but kill-reliant, continuing to promote an "all gas no brakes" playstyle. I've also put a couple more League aspects into her kit, described below.
- I intentionally made Shunpo not do damage on release because I didn't think it would fit into my grand design idea. Right now too much power leans towards her ultimate and with a cost for doing so. Rather than do anything else like nerfing her ultimate the solution is to shift the weight into stacking with her base 3 abilities and pushing Death Lotus into a circumstantial ability for dealing with tanky enemies or dangerous Elites. With this update Shunpo now does 270% damage and gives a small jump if the enemy you hit is flying to allow for chains. It resets upon killing with itself as well as (still) your melee attacks. The "hitbox" is a 180° semicircular radius in front of you (with a radius of 3) based on the direction you're aiming. Note that blinking behind enemies will not succeed in doing any damage.
- ***On-hit Build*** Attack speed (regular, not Conqueror) increases the proc coefficient for Shunpo by 0.05 per 15% attack speed (the value of one syringe).
- ***Sudden Impact*** Enemy armor is reduced by 60 for 0.75 seconds on-hit, this procs every time without regard to the above and replaces the previous Jade Elephant effect.
- ***A Gift From Brand*** Upon hitting a blazing elite with your basic attack, gain its power for 1 second.
- ***Coup De Grace*** Your basic attacks now have Slayer innately. Keep in mind your lifesteal is a percentage of the damage you deal, not a percentage of your max health, so in most situations it's actually better to stay for the kill rather than to blink away and kite to safety.
- Voracious Blade increases its damage coefficient by .1 for each Conqueror stack you have, the skill also starts at 2 charges now.
- Death Lotus now suspends you in place where you casted it with no respect to gravity, and gives Jade Elephant for its duration.
- You can sprint in any direction now
- Melee magnetism is improved
- Shunpo cooldown has been reduced to 7 seconds, down from 9
- Added Mithrix encounter/defeat quotes
- Added some item displays
- All white, green and red items are in
- Yellow tier is missing Planula, Queen's Gland, Empathy Cores, and Charged Perforator
- 6 out of 14 Lunar items are in
- I didn't do equipment because it doesn't even show all the time and there's only ever one active. I just did my favorites, which are Preon, Ocular HUD, Jade Elephant, and Eccentric Vase. Foreign Fruit, Gnarled Woodsprite and Primodial Cube are gonna come in the next update with the item scaling fixes (because I really like those too) but past that I have no plans to do the rest.
- Ability descriptions (in this readme) have been minorly updated so be sure to re-read those, I tried to cover everything here though.
- ...
- Honestly probably a lot more I've left uncatalogued because I was irresponsible this update and just overhauled half the mod without taking very many notes


`1.1.1`
Update
- Sinister Steel hitbox has been increased and is more disjointed from the model. It was supposed to be small, but not THAT small
- She has innate base lifesteal now, instead of getting the first instance at 2 stacks. No 900 gold for vamp scepter needed
- Voracious Blade now has omnivamp, this was supposed to be on release but I forgot about it
- additionally, it will now also cancel your aerial velocity to help mitigate the high fall damage Shunpo can cause, because working with BodyFlags is difficult
- added to documentation that it scales with 10% of your Conqueror stacks, this was always the case but I've never explicitly stated it
- Death Lotus now decreases your total Conqueror stacks by 13 instead of removing them entirely, stacks now have no influence on Death Lotus' damage (should have been like this from the start in hindsight, the mistakes of a first mod)
- Lotus dagger damage scales (slightly) based on attackspeed now
- It has a particle effect now
- Jump animation has been hacked together more cleanly. Kind of challenging because League champions don't jump
- Increased body size slightly because it still felt small to me
- Increased volume of Death Lotus' finishing sound event
- Increased volume of basic attack chain
- Increased base sprint speed
- I might be forgetting something, overall her gameplay feels a bit smoother now and closer to the mark I designed her to hit. Of course I didn't expect to nail it first try

`1.0.1`
Hotfix
- Cleaned up readme
- Skill descriptions are prettier, title text color now more PROJECT-themed instead of grey
- Overview section in lobby is more clear
- Added SFX for when you are at max healing
- I-frames for Shunpo actually are when you release the key now

`1.0.0`
Update
- Initial release
